summaryrefslogtreecommitdiff
path: root/infrastructure/travis-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'infrastructure/travis-build.sh')
-rwxr-xr-xinfrastructure/travis-build.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/infrastructure/travis-build.sh b/infrastructure/travis-build.sh
new file mode 100755
index 00000000..72a187b3
--- /dev/null
+++ b/infrastructure/travis-build.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+set -x
+
+ccache -s
+
+if [ "$BUILD" = 'cmake' ]; then
+ cd `dirname $0`
+ mkdir -p cmake/build
+ cd cmake/build
+ cmake --version
+ cmake -DCMAKE_BUILD_TYPE:STRING=$TEST_TARGET ..
+ make install
+ [ "$TEST" = "n" ] || ctest -C $TEST_TARGET -V
+else
+ cd `dirname $0`/..
+ ./bootstrap
+ ./configure CC="ccache $CC" CXX="ccache $CXX" "$@"
+ grep CXX config.status
+ make V=1
+ ./runtest.pl ALL $TEST_TARGET
+ if [ "$TEST_TARGET" = "release" ]; then
+ make
+ make parcels
+ fi
+fi
+
+ccache -s